/**
 * Autogenerated by Avro
 * 
 * DO NOT EDIT DIRECTLY
 */
package example;

@SuppressWarnings("all")
public class Ruta extends org.apache.avro.specific.SpecificRecordBase implements org.apache.avro.specific.SpecificRecord {
  public static final org.apache.avro.Schema SCHEMA$ = org.apache.avro.Schema.parse("{\"type\":\"record\",\"name\":\"Ruta\",\"namespace\":\"example\",\"fields\":[{\"name\":\"id\",\"type\":\"int\"},{\"name\":\"segmentos\",\"type\":{\"type\":\"record\",\"name\":\"SegmentoCaminho\",\"fields\":[{\"name\":\"id\",\"type\":\"int\"},{\"name\":\"tipo\",\"type\":{\"type\":\"enum\",\"name\":\"TipoCaminho\",\"symbols\":[\"AVENIDA\",\"ESTRADA\"]}},{\"name\":\"nome\",\"type\":\"string\"},{\"name\":\"inicio\",\"type\":{\"type\":\"record\",\"name\":\"Coordenada\",\"fields\":[{\"name\":\"pos_x\",\"type\":\"long\"},{\"name\":\"pos_y\",\"type\":\"long\"}]}},{\"name\":\"fin\",\"type\":\"Coordenada\"}]}}]}");
  public int id;
  public example.SegmentoCaminho segmentos;
  public org.apache.avro.Schema getSchema() { return SCHEMA$; }
  // Used by DatumWriter.  Applications should not call. 
  public java.lang.Object get(int field$) {
    switch (field$) {
    case 0: return id;
    case 1: return segmentos;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
  // Used by DatumReader.  Applications should not call. 
  @SuppressWarnings(value="unchecked")
  public void put(int field$, java.lang.Object value$) {
    switch (field$) {
    case 0: id = (java.lang.Integer)value$; break;
    case 1: segmentos = (example.SegmentoCaminho)value$; break;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
}
